Subject: Re: linux-next: sound tree build failure

From: Takashi Iwai <[email-masked]>
Date: Wed, 17 Dec 2008 08:38:09 +0100

At Tue, 16 Dec 2008 21:59:00 +0100,
Ingo Molnar wrote:
> 
> 
> * Takashi Iwai <[email-masked]> wrote:
> 
> > At Mon, 15 Dec 2008 15:43:01 +1100,
> > Stephen Rothwell wrote:
> > > 
> > > Hi Takashi,
> > > 
> > > Today's linux-next build (x86_64 allmodconfig) failed like this:
> > > 
> > > sound/core/hrtimer.c: In function 'snd_hrtimer_open':
> > > sound/core/hrtimer.c:60: error: 'struct hrtimer' has no member named 'cb_mode'
> > > sound/core/hrtimer.c:60: error: 'HRTIMER_CB_IRQSAFE_UNLOCKED' undeclared (first use in this function)
> > > 
> > > An interaction between commit bbaf5e97337287479eb78dbc3822d9560bbfd2e2
> > > ("ALSA: Add hrtimer backend for ALSA timer interface") from the sound
> > > tree and commit ca109491f612aab5c8152207631c0444f63da97f ("hrtimer:
> > > removing all ur callback modes") from the timers tree.
> > > 
> > > I have added the below fixup for the merge and can carry it as necessary.
> > 
> > Thanks, the fix must be correct.
> > 
> > I'm not sure what I should do.  Putting this fix only for linux-next 
> > might be a fix, but this wouldn't work if the affecting patch is changed 
> > or dropped.
> > 
> > If you can keep this one-liner in your tree, it'd be helpful.
> 
> if it becomes a logistical problem, there's a Git approach to resolving 
> this: we are keeping those bits separate in tip/timers/hrtimers, so you 
> could pull that into the sound tree. Your sound tree would be fully 
> combinable in linux-next.

Yes, that'll work.  I merged your branch now and created a new branch,
topic/hrtimer-fix, with the conflict and build fixes on sound git
tree.  Let's see whether it goes well tomorrow :)

FYI, the hrtimer-related topics on sound git tree
  git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound-2.6.git
are:
    topic/snd-hrtimer
    topic/pcsp-fix

Thanks,

Takashi